import jp.co.ntt.oss.heapstats.parser.*;
import jp.co.ntt.oss.heapstats.container.*;


public class SnapShotParserTest{

  public static void main(String[] args) throws Exception{
    HeapStatsParser parser = new HeapStatsParser();
    parser.parse(args[0], new TestParserHandler());
  }

}

class TestParserHandler implements ParserEventHandler{

  public ParseResult onStart(long off){
    return ParserEventHandler.ParseResult.HEAPSTATS_PARSE_CONTINUE;
  }

  public ParseResult onNewSnapShot(SnapShotHeader header, String parent){
    return ParserEventHandler.ParseResult.HEAPSTATS_PARSE_CONTINUE;
  }

  public ParseResult onEntry(ObjectData data){
    return ParserEventHandler.ParseResult.HEAPSTATS_PARSE_CONTINUE;
  }

  public ParseResult onChildEntry(long parentClassTag, long classTag,
                                              long instances, long totalSize){
    return ParserEventHandler.ParseResult.HEAPSTATS_PARSE_CONTINUE;
  }

  public ParseResult onFinish(long off){
    return ParserEventHandler.ParseResult.HEAPSTATS_PARSE_CONTINUE;
  }

}

